Package ch.qos.logback.core.sift

# Class SiftingJoranConfiguratorBase<E>

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.joran.GenericConfigurator
ch.qos.logback.core.sift.SiftingJoranConfiguratorBase<E>

All Implemented Interfaces:
  `ContextAware`

Direct Known Subclasses:
  `SiftingJoranConfigurator`, `SiftingJoranConfigurator`

public abstract class SiftingJoranConfiguratorBase<E> extends GenericConfigurator

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final String`
`key`
`protected final Map<String,String>`
`parentPropertyMap`
`protected final String`
`value`

### Fields inherited from class ch.qos.logback.core.joran.GenericConfigurator

`interpreter`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SiftingJoranConfiguratorBase(String key, String value, Map<String,String> parentPropertyMap)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addImplicitRules(Interpreter interpreter)`
`protected void`
`addInstanceRules(RuleStore rs)`
`void`
`doConfigure(List<SaxEvent> eventList)`
`abstract Appender<E>`
`getAppender()`
`protected void`
`oneAndOnlyOneCheck(Map<?,?> appenderMap)`
`String`
`toString()`

### Methods inherited from class ch.qos.logback.core.joran.GenericConfigurator

`addDefaultNestedComponentRegistryRules, buildInterpreter, doConfigure, doConfigure, doConfigure, doConfigure, doConfigure, doConfigure, getBeanDescriptionCache, informContextOfURLUsedForConfiguration, initialElementPath, recallSafeConfiguration, registerSafeConfiguration`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### key

protected final String key

### value

protected final String value

### parentPropertyMap

protected final Map<String,String> parentPropertyMap

## Constructor Details

### SiftingJoranConfiguratorBase

protected SiftingJoranConfiguratorBase(String key, String value, Map<String,String> parentPropertyMap)

## Method Details

### addImplicitRules

protected void addImplicitRules(Interpreter interpreter)

Specified by:
  `addImplicitRules` in class `GenericConfigurator`

### addInstanceRules

protected void addInstanceRules(RuleStore rs)

Specified by:
  `addInstanceRules` in class `GenericConfigurator`

### getAppender

public abstract Appender<E> getAppender()

### oneAndOnlyOneCheck

protected void oneAndOnlyOneCheck(Map<?,?> appenderMap)

### doConfigure

public void doConfigure(List<SaxEvent> eventList) throws JoranException

Overrides:
  `doConfigure` in class `GenericConfigurator`
Throws:
  `JoranException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`